Loading...
Searching...
No Matches
osmo_iuup_rnl_prim Struct Reference

`#include <iuup.h>`

## Data Fields

struct osmo_prim_hdr | oph
union { |
struct osmo_iuup_rnl_config config |
struct osmo_iuup_rnl_data data |
struct osmo_iuup_rnl_status status |
} | u

## Field Documentation

## config

struct osmo_iuup_rnl_config osmo_iuup_rnl_prim::config

Referenced by iuup_fsm_null().

## data

struct osmo_iuup_rnl_data osmo_iuup_rnl_prim::data

Referenced by rnl_to_tnl_data(), and tnl_to_rnl_data().

## oph

struct osmo_prim_hdr osmo_iuup_rnl_prim::oph

Referenced by irp_error_event_alloc_c(), iuup_fsm_init(), iuup_fsm_smpsdu_data(), iuup_fsm_timer_cb(), iuup_rx_initialization(), osmo_iuup_rnl_prim_alloc(), osmo_iuup_rnl_prim_down(), rnl_to_tnl_data(), and tnl_to_rnl_data().

## status

struct osmo_iuup_rnl_status osmo_iuup_rnl_prim::status

Referenced by irp_error_event_alloc_c(), and irp_init_ind_alloc().

## [union]

union { ... } osmo_iuup_rnl_prim::u

Referenced by irp_error_event_alloc_c(), irp_init_ind_alloc(), iuup_fsm_null(), rnl_to_tnl_data(), and tnl_to_rnl_data().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/iuup.h